
#include <bur/plctypes.h>

#ifdef _DEFAULT_INCLUDES
	#include <AsDefault.h>
#endif

// Prototype
unsigned long myCallback(UserData_typ* data, jsmn_callback_data* callbackData);

void _INIT ProgramInit(void)
{
	// Variables to not need to be set to zero because AS runtime does that on boot
	// Initialize to Zero
//	brsmemset(&parser, 0, sizeof(parser));
//	brsmemset(&tokens, 0, sizeof(tokens));
//	brsmemset(&myData, 0, sizeof(myData));
//	brsmemset(&stationInfo, 0, sizeof(stationInfo));
//	parsePacket = 0;

	// Initialize other values to default
	JsmnInit(&parser);

	parser.callback.pFunction = &myCallback; // We will declare this function next
	parser.callback.pUserData = &myData;
	
	// Initialize json for testing
	brsstrcpy(json, "{ \
		\"station\": 1, \
		\"status\": \"Completing\", \
		\"jobId\": 115 \
		}");
}
